# Contributing

Thank you for considering contributing to the project! I welcome contributions from everyone.

**NOTE: If you are looking to open a PR, please fork off of the `next` branch since that has the latest changes**

## How to contribute

- Fork the repo
- Checkout the `next` branch `git checkout next`
- Create a new branch for your feature `git checkout -b new-feature`
- Start making changes and fixing things
- Open a pull request [here](https://github.com/hzrd149/nostrudel/pulls)
- Wait for feedback. it might take me a while to look at it

## Guidelines

- All code if formatted with prettier. you can run `yarn run format` to format the project
- Write clear and concise commit messages

## Issues and Bug Reports

If you find a bug or have an idea for a new feature, please create an issue in our repository.
Be sure to include a clear description of the problem or feature request, and what version you found the bug in. (either `nostrudel.ninja` or `next.nostrudel.ninja`)

## License

By contributing to this project, you agree that your contributions will be licensed under the project's [license](./LICENSE).
